- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# eoVRPUtils::ClientData Struct Reference

Information regarding each client in the dataset. More...

`#include <eoVRPUtils.h>`

List of all members.

## Public Attributes
unsigned | id
| Client ID number.
double | x
| Client's 'x' position in the map.
double | y
| Client's 'y' position in the map.
double | demand
| Client's demand of delivered product.
double | readyTime
| Client's beginning of the time window.
double | dueTime
| Client's end of the time window.
double | serviceTime
| Client's service time (time needed to serve the product).

## Detailed Description

Information regarding each client in the dataset.

This structure is intended to be used to store the information of each client read from the data file.

Definition at line 86 of file eoVRPUtils.h.

The documentation for this struct was generated from the following file:

- eoVRPUtils.h